org.eclipse.ease.modules.unittest.components

## Class TestSuiteModel

- java.lang.Object
- - org.eclipse.ease.modules.unittest.components.TestSuiteModel

All Implemented Interfaces:
  EventListener, IResourceChangeListener

    public class TestSuiteModel
    extends Object
    implements IResourceChangeListener

### Nested Class Summary

Nested Classes
`class` `TestSuiteModel.Variable`

### Field Summary

Fields
`static String` `CODE_LOCATION_TEST_SETUP`
`static String` `CODE_LOCATION_TEST_TEARDOWN`
`static String` `CODE_LOCATION_TESTFILE_SETUP`
`static String` `CODE_LOCATION_TESTFILE_TEARDOWN`
`static String` `CODE_LOCATION_TESTSUITE_SETUP`
`static String` `CODE_LOCATION_TESTSUITE_TEARDOWN`
`static String` `FLAG_EXECUTE_TEARDOWN_ON_FAILURE`
`static String` `FLAG_MAX_THREADS`
`static String` `FLAG_PROMOTE_ERRORS_TO_FAILURES`
`static String` `FLAG_STOP_SUITE_ON_FAILURE`

### Constructor Summary

Constructors
Constructor and Description
`TestSuiteModel()`
`TestSuiteModel(IFile file)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addTestFile(String fileLocation)`
`void` `addVariable(String identifier, String content, String description)`
`void` `close()`
`String` `getCodeFragment(String identifier)`
`Map<String,String>` `getCodeFragments()`
`String` `getDescription()`
`IFile` `getFile()`
`boolean` `getFlag(String flagID, boolean defaultValue)`
`int` `getFlag(String flagID, int defaultValue)`
`Collection<String>` `getTestFiles()`
`List<TestSuiteModel.Variable>` `getVariables()`
`boolean` `isDirty()`
`void` `load(String text)`
`void` `reload()`
`void` `removeVariable(TestSuiteModel.Variable variable)`
`void` `resourceChanged(IResourceChangeEvent event)`
`void` `setCodeFragment(String identifier, String code)`
`void` `setDescription(String description)`
`void` `setFlag(String flagID, boolean content)`
`void` `setFlag(String flagID, int content)`
`void` `setFlag(String flagID, String content)`
`XMLMemento` `toMemento()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CODE_LOCATION_TESTSUITE_SETUP

    public static final String CODE_LOCATION_TESTSUITE_SETUP

See Also:
  Constant Field Values

#### CODE_LOCATION_TESTSUITE_TEARDOWN

    public static final String CODE_LOCATION_TESTSUITE_TEARDOWN

See Also:
  Constant Field Values

#### CODE_LOCATION_TESTFILE_SETUP

    public static final String CODE_LOCATION_TESTFILE_SETUP

See Also:
  Constant Field Values

#### CODE_LOCATION_TESTFILE_TEARDOWN

    public static final String CODE_LOCATION_TESTFILE_TEARDOWN

See Also:
  Constant Field Values

#### CODE_LOCATION_TEST_SETUP

    public static final String CODE_LOCATION_TEST_SETUP

See Also:
  Constant Field Values

#### CODE_LOCATION_TEST_TEARDOWN

    public static final String CODE_LOCATION_TEST_TEARDOWN

See Also:
  Constant Field Values

#### FLAG_MAX_THREADS

    public static final String FLAG_MAX_THREADS

See Also:
  Constant Field Values

#### FLAG_STOP_SUITE_ON_FAILURE

    public static final String FLAG_STOP_SUITE_ON_FAILURE

See Also:
  Constant Field Values

#### FLAG_PROMOTE_ERRORS_TO_FAILURES

    public static final String FLAG_PROMOTE_ERRORS_TO_FAILURES

See Also:
  Constant Field Values

#### FLAG_EXECUTE_TEARDOWN_ON_FAILURE

    public static final String FLAG_EXECUTE_TEARDOWN_ON_FAILURE

See Also:
  Constant Field Values

### Constructor Detail

#### TestSuiteModel

    public TestSuiteModel(IFile file)
                   throws IOException,
                          CoreException

Throws:
  `IOException`
  `CoreException`

#### TestSuiteModel

    public TestSuiteModel()

### Method Detail

#### close

    public void close()

#### getFlag

    public boolean getFlag(String flagID,
                           boolean defaultValue)

#### getFlag

    public int getFlag(String flagID,
                       int defaultValue)

#### setFlag

    public void setFlag(String flagID,
                        String content)

#### setFlag

    public void setFlag(String flagID,
                        boolean content)

#### setFlag

    public void setFlag(String flagID,
                        int content)

#### getTestFiles

    public Collection<String> getTestFiles()

#### load

    public void load(String text)

#### toMemento

    public XMLMemento toMemento()

#### addTestFile

    public void addTestFile(String fileLocation)

#### getFile

    public IFile getFile()

#### getVariables

    public List<TestSuiteModel.Variable> getVariables()

#### addVariable

    public void addVariable(String identifier,
                            String content,
                            String description)

#### getCodeFragment

    public String getCodeFragment(String identifier)

#### setCodeFragment

    public void setCodeFragment(String identifier,
                                String code)

#### setDescription

    public void setDescription(String description)

#### getDescription

    public String getDescription()

#### removeVariable

    public void removeVariable(TestSuiteModel.Variable variable)

#### reload

    public void reload()
                throws IOException,
                       CoreException

Throws:
  `IOException`
  `CoreException`

#### isDirty

    public boolean isDirty()

#### resourceChanged

    public void resourceChanged(IResourceChangeEvent event)

Specified by:
  `resourceChanged` in interface `IResourceChangeListener`

#### getCodeFragments

    public Map<String,String> getCodeFragments()